﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections;
using System.Data;
using Infragistics.Windows;
using Infragistics.Windows.DataPresenter;

namespace DataGridApplication.UIControl
{
    /// <summary>
    /// Interaction logic for dgcheckboxusingstyle.xaml
    /// </summary>
    public partial class dgcheckboxusingstyle : UserControl
    {
        CheckBox chk;
        public static ArrayList Id = new ArrayList();
        public dgcheckboxusingstyle()
        {
            InitializeComponent();
           
        }  

        void OnNameLabelLoaded(object sender, RoutedEventArgs e)
        {
            
          
            FrameworkElement site = Utilities.GetAncestorFromName(
                 e.OriginalSource as DependencyObject,
                 "PART_HeaderContentSite");

            if (site == null)
                return;

            Grid siteHost = Utilities.GetAncestorFromType(
                site,
                typeof(Grid),
                false)
                as Grid;

            if (siteHost == null)
                return;

            foreach (UIElement elem in siteHost.Children)
                if (elem is CheckBox)
                    return;

            chk = new CheckBox();
            chk.Click += new RoutedEventHandler(chk_Click);
            Grid.SetColumnSpan(chk, 3);
            chk.Margin = new Thickness(1, 0, 0, 0);
            chk.VerticalAlignment = VerticalAlignment.Center;
            chk.HorizontalAlignment = HorizontalAlignment.Left;
            siteHost.Children.Add(chk);            
        }
      
        void chk_Click(object sender, RoutedEventArgs e)
        {

            if ((bool)chk.IsChecked)
            {
                
                RecordCollectionBase bb = xamDataGrid1.Records;
                foreach (Record rec in bb)
                {
                    DataRecord dr = (DataRecord)rec;                   
                    Cell cell = dr.Cells[0];                  
                    cell.Value = true;
                    Id.Add(dr.Cells[1].Value.ToString());
                }
            }
            else
            {
               
                RecordCollectionBase bb = xamDataGrid1.Records;
                foreach (Record rec in bb)
                {
                    DataRecord dr = (DataRecord)rec;
                    Cell cell = dr.Cells[0];
                    cell.Value = false;
                    Id.Remove(dr.Cells[1].Value.ToString());
                }
            }
        }       

        private void xamDataGrid1_CellUpdated(object sender, Infragistics.Windows.DataPresenter.Events.CellUpdatedEventArgs e)
        {
            string cellvalue;
            int falseCount = 0;
            string tt = e.Cell.Value.ToString();
            if (tt == "True")
            {
                Id.Add(e.Record.Cells[1].Value.ToString());
            }
            if (tt == "False")
            {
                Id.Remove(e.Record.Cells[1].Value.ToString());
            }
            RecordCollectionBase bb = xamDataGrid1.Records;
            foreach (Record rec in bb)
            {
                DataRecord dr = (DataRecord)rec;              
                Cell cell = dr.Cells[0];            
                cellvalue = dr.Cells[0].Value.ToString();
                if (cellvalue == "False" || cellvalue == "")
                {
                    falseCount = falseCount + 1;
                }               
            }
            if (falseCount > 0)
            {
                chk.IsChecked = false;
            }
            else
            {
                chk.IsChecked = true;
            }          

        }
      
    }
}
